## python-simple-rest-client 1.1.3

=== Makefile ===
.PHONY: clean-pyc

default: test

clean-pyc:
	@find . -iname '*.py[co]' -delete
	@find . -iname '__pycache__' -delete
	@find . -iname '.coverage' -delete
	@rm -rf htmlcov/

clean-dist:
	@rm -rf dist/
	@rm -rf build/
	@rm -rf *.egg-info

clean: clean-pyc clean-dist

test:
	py.test -vvv --cov=simple_rest_client tests

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel

release: dist
	git tag `python setup.py -q version`
	git push origin `python setup.py -q version`
	twine upload dist/*

lint:
	SKIP=no-commit-to-branch pre-commit run -a -v

=== requirements.txt ===
httpx>=0.23.0
python-slugify>=6.1.2
python-status>=1.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = python-simple-rest-client
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-simple-rest-client (1.1.3-0kali2) kali-dev; urgency=medium

  * Add missing depend python3-status

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Jul 2022 18:20:26 +0200

python-simple-rest-client (1.1.3-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Jul 2022 16:40:35 +0200

=== debian/control ===
Source: python-simple-rest-client
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-pytest,
 python3-httpx,
 python3-slugify,
 python3-status
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/allisson/python-simple-rest-client
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-simple-rest-client
Vcs-Git: https://gitlab.com/kalilinux/packages/python-simple-rest-client.git

Package: python3-simple-rest-client
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-status
Description: Simple REST client (Python 3)
 This package contains Simple REST client for Python 3.7+.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=simple-rest-client

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# do not run test, it requires asyncmock which is not in Kali

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-simple-rest-client-$1.tar.gz%" \
   https://github.com/allisson/python-simple-rest-client/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
